Page MenuHomeFreeBSD

math/cgal: Update to 5.0.2 and dependents ports
ClosedPublic

Authored by lbartoletti on Apr 26 2020, 7:21 PM.
Tags
None
Referenced Files
Unknown Object (File)
Tue, Feb 13, 5:27 AM
Unknown Object (File)
Sun, Feb 11, 10:54 PM
Unknown Object (File)
Sun, Feb 11, 10:54 PM
Unknown Object (File)
Sun, Feb 11, 10:54 PM
Unknown Object (File)
Sun, Feb 11, 10:54 PM
Unknown Object (File)
Sun, Feb 11, 10:54 PM
Unknown Object (File)
Sun, Feb 11, 10:41 PM
Unknown Object (File)
Dec 20 2023, 6:08 AM

Details

Summary

The new version of CGAL brings improvements and a lot of changes, including 2 major ones [1](header only[2] and c++14) requiring to patch all software depending on it.

[1] https://www.cgal.org/2019/11/08/cgal50/

math/cgal:

  • Update to 5.0.2

databases/sfcgal:

  • Fix with cgal5 : use c++14 and add gmpxx link [1]

[1] https://github.com/Oslandia/SFCGAL/pull/218

databases/postgis*:

  • bump portversion needed due to cgal and sfcgal changes

cad/openscad:

  • remove LIB_DEPENDS and add BUILD_DEPENDS
  • Use c++14
  • Take patches from upstream [1]

[1] https://github.com/openscad/openscad/pull/3163

cad/openscad-devel:

  • remove LIB_DEPENDS and add BUILD_DEPENDS
  • Use c++14

databases/pgrouting:

  • Update to 3.0.0 rc1 (CGAL is removed upstream)

games/flightgear-terragear:

  • remove LIB_DEPENDS and add BUILD_DEPENDS
  • fix Boost error (ld: error: undefined symbol: boost::thread::hardware_concurrency())

graphics/colmap:

  • remove LIB_DEPENDS and add BUILD_DEPENDS
  • fix CMAKE_CXX_FLAGS with c++14
Test Plan

poudriere (11/12/HEAD i386/amd64)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

revert GDAL change. Only bump it

Apart from the little nitpick int he previous comment this looks good to me

This revision is now accepted and ready to land.Apr 27 2020, 5:18 PM

fix RUN and LIB_DEPENDS order

This revision now requires review to proceed.Apr 28 2020, 12:29 PM
This revision was not accepted when it landed; it landed in state Needs Review.May 8 2020, 5:27 AM
This revision was automatically updated to reflect the committed changes.